import data.models.User
import data.repository.UserRepository
import data.repository.UserRepositoryImpl

fun main() {
    val repository = UserRepositoryImpl()


    while (true) {
        println("1.Вывести пользователей\n2.Добавить пользователя")
        when (readln().toInt()) {
            1  -> printAllUsers(repository)
            2 -> addUser(repository)
            else -> break
        }
    }

}

fun printAllUsers(userRepository: UserRepository) {
    userRepository.getAllUsers().forEach { user ->
        println("${user.id} ${user.email} ${user.lastName} ${user.firstName}")
    }
}

fun addUser(userRepository: UserRepository){
    println("Введите почту")
    val email = readln()
    println("Введите имя")
    val firstName = readln()
    println("Введите фамилию")
    val lastName = readln()
    val id = userRepository.getAllUsers().count() + 1
    val user = User(email =  email, firstName = firstName, lastName = lastName, id = id)
    userRepository.addUser(user)
}